Package: org.apache.groovy.toml.util

## [Java] Class TomlConverter

- org.apache.groovy.toml.util.TomlConverter

-     @Incubating
      public final class TomlConverter
      extends Object

  A converter for converting TOML to JSON, vice versa

  Since:
    4.0.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static String` | `convertJsonToToml(Reader jsonReader)` Convert json to toml
    `` | `public static String` | `convertTomlToJson(Reader tomlReader)` Convert toml to json

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static String convertJsonToToml(Reader jsonReader)

      Convert json to toml

      Parameters:
        `jsonReader` - the reader of json
      Returns:
        the text of toml

    - #### public static String convertTomlToJson(Reader tomlReader)

      Convert toml to json

      Parameters:
        `tomlReader` - the reader of toml
      Returns:
        the text of json